Go Back   HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials > ISPConfig 3 > General

Do you like HowtoForge? Please consider supporting us by becoming a subscriber.
Reply
 
Thread Tools Display Modes
  #11  
Old 12th October 2009, 16:10
giftsnake giftsnake is offline
Senior Member
 
Join Date: Jan 2009
Posts: 108
Thanks: 15
Thanked 9 Times in 8 Posts
Default

Code:
Starting MySQL database server: mysqld already running.
/usr/bin/mysqladmin: connect to server at 'localhost' failed
error: 'Access denied for user 'debian-sys-maint'@'localhost' (using password: YES)'
maybe the reconfiguring crashes the sysmaint mysql userdata
Reply With Quote
Sponsored Links
  #12  
Old 12th October 2009, 16:10
voidzero voidzero is offline
HowtoForge Supporter
 
Join Date: Mar 2009
Posts: 63
Thanks: 11
Thanked 3 Times in 3 Posts
Default

Quote:
Originally Posted by till View Post
If you select to reconfigure services, ispconfig will overwrite all config files with the defaults. If you dont want to keep your changes, select no when the updater asks you.
Thanks.

How can I check which of the default settings have been changed?
Reply With Quote
  #13  
Old 12th October 2009, 16:15
till till is online now
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 35,503
Thanks: 813
Thanked 5,265 Times in 4,129 Posts
Default

Quote:
Originally Posted by voidzero View Post
Thanks.

How can I check which of the default settings have been changed?
E.g. make backups of your modified files and diff them or review the ispconfig svn log.
__________________
Till Brehm
--
Get ISPConfig support and the ISPConfig 3 manual from ispconfig.org.
Reply With Quote
  #14  
Old 12th October 2009, 16:15
till till is online now
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 35,503
Thanks: 813
Thanked 5,265 Times in 4,129 Posts
Default

Quote:
Originally Posted by giftsnake View Post
Code:
Starting MySQL database server: mysqld already running.
/usr/bin/mysqladmin: connect to server at 'localhost' failed
error: 'Access denied for user 'debian-sys-maint'@'localhost' (using password: YES)'
maybe the reconfiguring crashes the sysmaint mysql userdata
No, thats not possible. neither the root user nor sys-maint user is updated or changed in any way.
__________________
Till Brehm
--
Get ISPConfig support and the ISPConfig 3 manual from ispconfig.org.
Reply With Quote
  #15  
Old 12th October 2009, 16:17
till till is online now
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 35,503
Thanks: 813
Thanked 5,265 Times in 4,129 Posts
Default

Quote:
Originally Posted by damir View Post
Same error Till:

Fatal error: Cannot use string offset as an array in /tmp/ispconfig3_install/install/update.php on line 157
Ok. Please contact me by email: dev [at] ispconfig [dot] org, I will send you a update.php script with some debugging code that helps to find the config problem the server.
__________________
Till Brehm
--
Get ISPConfig support and the ISPConfig 3 manual from ispconfig.org.
Reply With Quote
The Following User Says Thank You to till For This Useful Post:
damir (12th October 2009)
  #16  
Old 12th October 2009, 16:22
damir damir is offline
Senior Member
 
Join Date: Jun 2006
Posts: 375
Thanks: 11
Thanked 51 Times in 42 Posts
Default

Quote:
Originally Posted by till View Post
Ok. Please contact me by email: dev [at] ispconfig [dot] org, I will send you a update.php script with some debugging code that helps to find the config problem the server.
I just send you a email. Thanx in advance
Reply With Quote
  #17  
Old 13th October 2009, 08:18
Hans Hans is offline
Moderator
 
Join Date: Dec 2005
Location: Montfoort, The Netherlands
Posts: 2,256
Thanks: 212
Thanked 648 Times in 294 Posts
Send a message via Skype™ to Hans
Default Upgrading Jailkit

Hi Till,
Thanks a lot for this new release of ISPConfig 3!
However, i've a some questions about upgrading Jailkit:

On i've seen that Jailkit 2.8 has been released for a while now.
ISPConfig 3.0.1.5 comes with Jailkit version 2.7.
Is there a specific reason for this?
Is it always safe to upgrade to the latest Jailkit version?
__________________
Hans

BB-Hosting | Quality Web Hosting since 2005
Reply With Quote
  #18  
Old 13th October 2009, 09:10
uncher uncher is offline
Junior Member
 
Join Date: Sep 2008
Posts: 7
Thanks: 10
Thanked 0 Times in 0 Posts
Default

Tnx 2 all developers) But I've same problems in this version
Hi all.
There is error when i set the high security level !!!!
This high level sets for web folder in DocumentRoot permissions 710
I'm using php as mod_php and HTTPD runs from the user apache.
Here error:
[Wed Sep 09 10:24:06 2009] [crit] [client 82.200.***.**] (13)Permission denied: /var/www/uncher.*****.kz/web/.htaccess pcfg_openfile: unable to check htaccess file, ensure it is readable
why chmod 710 in /usr/local/ispconfig/server/plugins-available/apache2_plugin.inc.php, line 490

Another bug with high security level. After enabling user via ftp can not see the logs. log folder is empty.
This is because the permissions to log folder (eg /var/log/ispconfig/uncher.*****.kz) is 751

Another one question: how do I change the settings for all sites? Сurrently settings are changed only after editing each site. and I have about 250 sites. It's not very convenient. Thanks.
Reply With Quote
  #19  
Old 13th October 2009, 10:20
till till is online now
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 35,503
Thanks: 813
Thanked 5,265 Times in 4,129 Posts
Default

Quote:
Originally Posted by Hans View Post
Hi Till,
Thanks a lot for this new release of ISPConfig 3!
However, i've a some questions about upgrading Jailkit:

On i've seen that Jailkit 2.8 has been released for a while now.
ISPConfig 3.0.1.5 comes with Jailkit version 2.7.
Is there a specific reason for this?
Is it always safe to upgrade to the latest Jailkit version?
Hello Hans,

ISPConfig itself is not bundled with jailkit. So ISPCOnfig does not come with a specific jailkit release.

But as you can see in the bugtracker and here in the forum, several poeple reported that they lost access to their server after they upgraded to jailkit 2.8. So its highly recommended not to upgrade to the latst jailkit release. I was not able to reproduce this problem yet. I'am working together with the Jailkit deveoper to find the reason for the problems that had been reported.
__________________
Till Brehm
--
Get ISPConfig support and the ISPConfig 3 manual from ispconfig.org.
Reply With Quote
  #20  
Old 13th October 2009, 10:43
Hans Hans is offline
Moderator
 
Join Date: Dec 2005
Location: Montfoort, The Netherlands
Posts: 2,256
Thanks: 212
Thanked 648 Times in 294 Posts
Send a message via Skype™ to Hans
 
Default

@Till,

Thanks for your reply.
On the moment i've Jailkit 2.5 installed. I will upgrade to Jailkit 2.7 not 2.8 then.
That version is mentioned within the documentation which comes with ISPConfig.

Is it still an option to reimplemtate chrooting for ISPConfig 3?
I mean OpenSSH also supports chrooting since version 4.8.
__________________
Hans

BB-Hosting | Quality Web Hosting since 2005
Reply With Quote
Reply

Bookmarks

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
ISPConfig 3.0.1 released till General 36 29th March 2009 14:30
ISPConfig 2.2.27 released till General 20 28th November 2008 12:45
ISPConfig 3.0.0.6 Beta released till General 38 21st September 2008 19:15
phpMyAdmin 2.11.8 package released for ISPConfig 2 Hans General 2 29th July 2008 07:23
ISPConfig 2.3.3-dev released till General 10 12th March 2008 21:08


All times are GMT +2. The time now is 20:27.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.